Update start scripts

This commit is contained in:
Parker M. 2024-11-15 23:17:38 -06:00
parent 4c810b2a62
commit e4fd674d6e
Signed by: parker
GPG Key ID: 505ED36FC12B5D5E
7 changed files with 84 additions and 30 deletions

View File

@ -23,4 +23,4 @@ COPY --from=build-ui /app/dist /usr/share/nginx/html
# Replace the default site with the LinkLogger config
COPY nginx.conf /etc/nginx/sites-enabled/default
CMD ["./linklogger.sh"]
CMD ["./docker_start.sh"]

View File

@ -29,7 +29,7 @@
"globals": "^15.11.0",
"typescript": "~5.6.2",
"typescript-eslint": "^8.11.0",
"vite": "^5.4.10"
"vite": "^5.4.11"
},
"packageManager": "yarn@1.22.22+sha512.a6b2f7906b721bba3d67d4aff083df04dad64c399707841b7acf00f6b133b7ac24255f2652fa22ae3534329dc6180534e98d17432037ff6fd140556e2bb3137e"
}

View File

@ -1587,10 +1587,10 @@ uri-js@^4.2.2:
dependencies:
punycode "^2.1.0"
vite@^5.4.10:
version "5.4.10"
resolved "https://registry.yarnpkg.com/vite/-/vite-5.4.10.tgz#d358a7bd8beda6cf0f3b7a450a8c7693a4f80c18"
integrity sha512-1hvaPshuPUtxeQ0hsVH3Mud0ZanOLwVTneA1EgbAM5LhaZEqyPWGRQ7BtaMvUrTDeEaC8pxtj6a6jku3x4z6SQ==
vite@^5.4.11:
version "5.4.11"
resolved "https://registry.yarnpkg.com/vite/-/vite-5.4.11.tgz#3b415cd4aed781a356c1de5a9ebafb837715f6e5"
integrity sha512-c7jFQRklXua0mTzneGW9QVyxFjUgwcihC4bXEtujIo2ouWCe1Ajt/amn2PCxYnhYfd5k09JX3SB7OYWFKYqj8Q==
dependencies:
esbuild "^0.21.3"
postcss "^8.4.43"

20
dev.sh
View File

@ -1,20 +0,0 @@
#! /bin/bash
# If on Linux or MacOS - check tmux
if [[ "$OSTYPE" == "linux-gnu"* ]] || [[ "$OSTYPE" == "darwin"* ]]; then
python3 linklogger.py &
cd app || return
yarn dev
fi
# If on Windows
if [[ "$OSTYPE" == "msys" ]]; then
python3 linklogger.py &
cd app || return
yarn dev
# echo -e "This script is not supported on Windows. Please run the API and UI manually."
# echo -e "\t1. Install node.js, yarn, python3, and pip"
# echo -e "\t2. Run 'pip install -r requirements.txt' in the root directory"
# echo -e "\t3. Run 'python3 linklogger.py' in the root directory"
# echo -e "\t4. Run 'cd app' and then 'yarn dev'"
# exit 1
fi

6
docker_start.sh Executable file
View File

@ -0,0 +1,6 @@
#!/bin/bash
# Start nginx in the background
service nginx start
# Run the Python script
python -u linklogger.py

76
linklogger.sh Normal file → Executable file
View File

@ -1,6 +1,74 @@
#!/bin/bash
# Start nginx in the background
service nginx start
# Run the Python script
python -u linklogger.py
# Define color variables for easier use
RED='\033[1;31m'
GREEN='\033[1;32m'
NC='\033[0m' # No Color (reset to default)
# Function to detect the appropriate Python version
function check_python_version() {
# Check for python3 first
if command -v python3 &> /dev/null; then
PYTHON_CMD="python3"
elif command -v python &> /dev/null; then
PYTHON_CMD="python"
else
printf "${RED}No Python installation found. Please install Python.${NC}\n"
exit 1
fi
# Check Python version (>= 3.10)
PYTHON_VERSION=$($PYTHON_CMD -c 'import platform; print(platform.python_version())')
REQUIRED_VERSION="3.10"
if [[ "$(printf '%s\n' "$REQUIRED_VERSION" "$PYTHON_VERSION" | sort -V | head -n1)" != "$REQUIRED_VERSION" ]]; then
printf "${RED}Python version $PYTHON_VERSION is installed, but version 3.10 or higher is required.${NC}\n"
exit 1
fi
}
# Function to check that pip is installed
function check_pip_installed() {
if ! command -v pip &> /dev/null; then
printf "${RED}Pip is not installed. Please install Pip before proceeding.${NC}\n"
exit 1
fi
}
# Function to check if yarn is installed
function check_yarn_installed() {
if ! command -v yarn &> /dev/null; then
printf "${RED}Yarn is not installed. Please install Yarn before proceeding.${NC}\n"
exit 1
fi
}
# If on Linux or macOS
if [[ "$OSTYPE" == "linux-gnu"* ]] || [[ "$OSTYPE" == "darwin"* ]]; then
check_python_version
printf "${GREEN}Python version $PYTHON_VERSION is installed.${NC}\n"
check_pip_installed
printf "${GREEN}Pip is installed.${NC}\n"
check_yarn_installed
printf "${GREEN}Yarn is installed.${NC}\n"
# Install the UI dependencies
printf "${GREEN}Installing UI dependencies...${NC}\n"
cd app || { printf "${RED}Failed to enter 'app' directory. Exiting.${NC}\n"; exit 1; }
yarn install | head -n 5
yarn add vite | head -n 5
cd .. || { printf "${RED}Failed to return to the previous directory. Exiting.${NC}\n"; exit 1; }
printf "${GREEN}UI dependencies installed.${NC}\n"
# Start the API and UI
printf "${GREEN}Starting API and UI...${NC}\n"
$PYTHON_CMD linklogger.py &
cd app || { printf "${RED}Failed to enter 'app' directory. Exiting.${NC}\n"; exit 1; }
yarn dev
fi
# If on Windows (MSYS environment)
if [[ "$OSTYPE" == "msys" ]]; then
printf "${RED}This script is not for Windows. Please run dev.bat instead.${NC}\n"
exit 1
fi